PaginatedInsightsOutput

Unified paginated insights response with session summary

  • insights
    Type: array object[] · InsightOutput[]
    required

    Array of insight objects

    Unified insight information

    • durationInSeconds
      Type: integer
      required

      Duration of the insight in seconds

    • endedAtTime
      Type: stringFormat: date-time
      required

      Timestamp when the insight period ended

    • id
      Type: stringFormat: uuid
      required

      Unique identifier for the insight

    • insightType
      Type: string
      required

      Insight type slug (data-driven, see GET /insights/1.0/types for available types)

    • reason
      Type: string
      required

      Detailed reason or description for the insight

    • startedAtTime
      Type: stringFormat: date-time
      required

      Timestamp when the insight period started

    • version
      Type: string
      max length:  
      16
      required

      Version of the insight

  • limit
    Type: integer
    required

    Maximum number of items returned

  • offset
    Type: integer
    required

    Number of items skipped in the result set

  • session
    Type: object
    required

    Session summary information

    • durationInSeconds
      Type: integer
      required

      Total duration of the session in seconds

    • endedAtTime
      Type: stringFormat: date-time
      required

      Timestamp when the session ended

    • recordingS3Key
      Type: string | null
      required

      S3 key of the session recording, null if no recording exists

    • startedAtTime
      Type: stringFormat: date-time
      required

      Timestamp when the session started

    • wasteDurationInSeconds
      Type: integer
      required

      Total waste duration of the session in seconds

    • wastePercentage
      Type: integer
      required

      Percentage of session time that was waste (0-100)

    • metadata
      Type: object | null

      Opaque session metadata object

  • total
    Type: integer
    required

    Total number of items available